using System;
using System.IO;
using System.Windows.Forms;

namespace Smazání_složky
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
          Console.Title = "Smazání složky";

         string folderName = @"C:\Test\Test\Test";
         try
         {
            // Smazání složky
            Directory.Delete(folderName, true);

            Console.WriteLine("Složka '" + folderName +
               "' byla smazána");
         }
         catch (Exception ex)
         {
            MessageBox.Show(
               "Chyba při mazání složky '" + folderName + "': " +
               ex.Message, Application.ProductName, MessageBoxButtons.OK,
               MessageBoxIcon.Error);
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
